Subject: bug#25436: 25.1; sendmail does not add a Date: header in FCC

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Jan 2017 18:25:45 +0200

> Date: Fri, 13 Jan 2017 17:17:05 +0100
> From: Francesco Potortì <[email-masked]>
> Cc: [email-masked]
> 
> >> Now if I look at the FCC file, I see that the sent mail does not contain
> >> a Date: header.
> >
> >I did the above, and I do see the "Date" header.  However, I needed a
> >few additional settings before I could proceed after "C-c C-c".  Here
> >are the variables I needed to set:
> >
> >  user-full-name
> >  user-mail-address
> >  smtpmail-smtp-server
> >  smtpmail-smtp-service
> >  smtpmail-stream-type
> 
> Hm.  It seems you did not send using sendmail (which is what 'transport
> does in my recipe), but you used 'smtp instead.

This is MS-Windows; there's no sendmail here.

But that's the MTA, which should not matter in this case, I think.
The mail-user-agent is set to sendmail-send-it here, which is what
should matter.  The important question is why Date is not generated in
the mail buffer in your case.

> user-full-name is initialised (if I am not wrong) from /etc/passwd
> 
> user-mail-address, in may case, is taken from the $EMAIL env var

Yes, but that shouldn't matter.